
Core - Bug # 15689

Status: Closed Priority: Must have
Author: Franz Holzinger Category: Extension Manager
Created: 2006-02-21 Assigned To:
Updated: 2015-01-02 Due date:
TYPO3 Version: 4.0
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: EM seems to let me install conflicting extension (reverse dependency checking needed)
Description

I have installed tt_products 2.4.6. This one excludes zk_products as conflicts.
However it seems that the EM wants to let me install zk_products after tt_products.
I did not dare to press UPDATE now in order to do not get the conflict.

-----------------------
Extension: Shop system (extended by ZK) (zk_products)              Go back
Installing Shop system (extended by ZK): DATABASE NEEDS TO BE UPDATED
Before the extension can be installed the database needs to be updated with new tables or fields. Please select which operations to
perform:
Changing fields
    ALTER TABLE tt_products CHANGE inStock inStock int(11) default '0';
    Current value: int(11) default '1'
    ALTER TABLE tt_products CHANGE gradings gradings varchar(40) default '';
    Current value: varchar(255) default ''
    ALTER TABLE tt_products CHANGE subtitle subtitle tinytext;
    Current value: mediumtext
    ALTER TABLE sys_products_orders_mm_tt_products DROP KEY tt_products_uid;
    ALTER TABLE sys_products_orders_mm_tt_products ADD KEY tt_products_uid (tt_products_uid);
    ALTER TABLE tt_content CHANGE tt_products_code tt_products_code varchar(30) default 'LIST';
    Current value: varchar(30) default 'HELP'

Clear cache

This extension requests the cache to be cleared when it is installed/removed.
Clear all cache:

(issue imported from #M2652)

Related issues:
related to Core - Feature # 17573: EM should show reverse dependecies Closed 2007-08-30
related to Core - Bug # 30750: EM should not suggest upgrade when it leads to... Closed 2011-10-10

History
#1 - 2006-02-26 13:44 - Karsten Dambekalns

Yes, because this is a reverse dependency. tt_products conflicts with tt_products, but you are installing zk_products which isn't defining a conflict with
tt_products...
A check should be added that works reversely...

#2 - 2013-11-19 11:08 - Alexander Opitz
- Status changed from New to Needs Feedback
- Target version deleted (0)
- PHP Version deleted (4)
- Is Regression set to No

Hi,

as this issue is very old. Does the problem still exists within newer versions of TYPO3 CMS (4.5 or 6.1)?

#3 - 2013-11-19 12:03 - Franz Holzinger

This bug is still present in the latest TYPO3 6.2 Core from this week.

How to test:
Install the extension agency which conflicts sr_feuser_register.
Then copy sr_feuser_register to the typo3conf/ext folder and change the dependency of the file ext_emconf.php of sr_feuser_register: 'typo3' =>
'4.4.0-6.2.99'. Then install sr_feuser_register. It can be installed despite of the restriction.

There must be an error message and it must be avoided to install the conflicting extension.

#4 - 2013-11-19 12:09 - Alexander Opitz
- Status changed from Needs Feedback to New
- Priority changed from Should have to Must have

#5 - 2015-01-02 11:23 - Mathias Schreiber
- Status changed from New to Closed

The current implementation is a mess that can't be handled.
This issue will be tackled by using composer which offers a clean way of resolving conflicts
